Fetch Sensors Associated with a Sensor Profile

Use this API to get a list of sensors that you could associate with a sensor profile in your account.

GET/csapi/v1.3/sensorProfile/sensor/associate

Input ParametersInput Parameters

Parameter Mandatory/Optional Data Type Description
sensorProfileId Optional string The ID/UUID for the sensor profile for which you want to get available sensors that could be associated with the profile.
filter Optional string Filter the sensor profiles list by providing a query using Qualys syntax.

Refer to the “How to Search” topic in the online help for assistance with creating your query.

sensorProfileType Mandatory string Specify the type of the sensor profile: REGISTRY, GENERAL, CICD, CLUSTER, or RUNTIME.

The default value is GENERAL.

pageNumber Optional integer The page to be returned. Page numbers start with 1.
pageSize Optional integer The number of records per page to be included in the response. The default value is 50.
sort Optional string Sort the results using a Qualys token.

For example created:desc.

Refer to the “Sortable tokens” topic in the online help for more information.

SampleSample

API request

    curl -X GET
"<qualys_base_url>/csapi/v1.3/sensorProfile/sensor/associate?sensorProfileType=General&pageNo=0&pageSize=50&sort=created%3Adesc" 
-H "accept: application/json" 
-H "Authorization: Bearer <token>"
    

Response

    {
    "data": [
        {
            "uuid": "88db9156-6c9e-45cc-8fce-11b889bb76b4",
            "activationUuid": "39b63fbb-3e3a-4905-829faaae794079fc",
            "hostname": "ip-10-82-10-7",
            "customerUuid": "1ab79f42-6cc3-757c-83d9-b0562c8a6dc8",
            "dockerVersion": "20.10.12",
            "ipv4": "10.82.10.7",
            "os": "Ubuntu 21.10",
            "ipv6": "fe80::8ea:87ff:fe3f:d8c7",
            "sensorVersion": "1.21.0-0",
            "platform": "LINUX_SENSOR",
            "lastCheckedIn": "1669614979341",
            "label": null,
            "privileged": null,
            "macAddress": "0a:ea:87:3f:d8:c7",
            "vulnSigVersion": null,
            "hostUuid": "fcd2ce3e-dfed-43ca-a5c1-b680065103cb",
            "configurationProfile": null,
            "status": "Provisioned",
            "registry": null,
            "sha": null,
            "sensorId": null,
            "name": null,
            "created": null,
            "imageId": null,
            "imageSha": null,
            "binaryVersion": null,
            "containerIpv4": null,
            "containerIpv6": null,
            "containerMacAddress": null,
            "sensorType": "GENERAL",
            "containerRuntime": "DOCKER",
            "containerRuntimeVersion": "20.10.12",
            "architecture": "x86_64",
            "associatedSensorProfile": "00000000-0000-0000-0000-000000000000",
            "associatedSensorProfileName": null
        },
        {
            "uuid": "13b7a4cd-693c-4fe5-87d5-98fcf3f0b8a5",
            "activationUuid": "39b63fbb-3e3a-4905-829faaae794079fc",
            "hostname": "ip-10-82-8-106",
            "customerUuid": "1ab79f42-6cc3-757c-83d9-b0562c8a6dc8",
            "dockerVersion": "20.10.12",
            "ipv4": "10.82.8.106",
            "os": "Ubuntu 21.10",
            "ipv6": "fe80::8d3:acff:fecc:477b",
            "sensorVersion": "1.21.0-0",
            "platform": "LINUX_SENSOR",
            "lastCheckedIn": "1669619314969",
            "label": [
                {
                    "key": "build-date",
                    "value": "Tue Nov 22 08:31:36 UTC 2022"
                },
                {
                    "key": "name",
                    "value": "test Sensor Image"
                },
                {
                    "key": "vendor",
                    "value": "test, Inc"
                },
                {
                    "key": "Base_image_name",
                    "value": "arthq.intranet.test.com:5006/secure/oraclelinux:7"
                },
                {
                    "key": "image-source",
                    "value": "SJC-POD01"
                },
                {
                    "key": "VersionInfo",
                    "value": "Qualys Sensor Version 1.21.0-0"
                },
                {
                    "key": "jira-id",
                    "value": "BI-122"
                },
                {
                    "key": "maintainer",
                    "value": "DevOps <[email protected]>"
                }
            ],
            "privileged": "false",
            "macAddress": "0a:d3:ac:cc:47:7b",
            "vulnSigVersion": null,
            "hostUuid": "8621d2c6-e434-4530-8726-ecbca083eb92",
            "configurationProfile": null,
            "status": "Provisioned",
            "registry": "docker.io",
            "sha": "7cf7650df563c7d11ce9b4ee9c7250254682eb8ccf796c7943d2dc2498e9264c",
            "sensorId": "7cf7650df563",
            "name": "test-container-sensor",
            "created": "1669617635000",
            "imageId": "95940c047e5a",
            "imageSha": "95940c047e5a934f470dfe3ac7e97b2ef33f3a695ac75ba609e3e1f9d7afa7d1",
            "binaryVersion": null,
            "containerIpv4": null,
            "containerIpv6": null,
            "containerMacAddress": "",
            "sensorType": "GENERAL",
            "containerRuntime": "DOCKER",
            "containerRuntimeVersion": "20.10.12",
            "architecture": "x86_64",
            "associatedSensorProfile": "00000000-0000-0000-0000-000000000000",
            "associatedSensorProfileName": null
        }
    ],
    "count": 2,
    "groups": {}
}